Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

Huskk~

5
Posts
1
Following
A member registered 94 days ago

Recent community posts

It won't run past the settings screen, (I am on Ubuntu 17.10, OpenGL 2.1,)If you need more details i can provide.

this is what i love about people :^)

I have looked into it, which it seems that this is the only version it supports, which sucks, i bought two games over steam at a point only for them to require 3.x, and i dont have the new computer yet, so... :C

Linux port, Please?

Is something wrong with my computer? the game won't launch, just as if it requires a newer opengl version, (i have opengl 2.1,) where it launches for a split second before closing..